Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.4.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
19.4.0.0
Broadcast address
19.5.255.255
First usable
19.4.0.1
Last usable
19.5.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 13040000 · Integer 319029248 to 319160319
Reverse DNS zones
4.19.in-addr.arpa
5.19.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.00000100.00000000.0000000019.4.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00010011.00000100.00000000.0000000019.4.0.0
Broadcast00010011.00000101.11111111.1111111119.5.255.255
Split into smaller subnets/22

19.4.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.4.0.0/2219.4.0.1 to 19.4.3.25419.4.3.2551,022
219.4.4.0/2219.4.4.1 to 19.4.7.25419.4.7.2551,022
319.4.8.0/2219.4.8.1 to 19.4.11.25419.4.11.2551,022
419.4.12.0/2219.4.12.1 to 19.4.15.25419.4.15.2551,022
519.4.16.0/2219.4.16.1 to 19.4.19.25419.4.19.2551,022
619.4.20.0/2219.4.20.1 to 19.4.23.25419.4.23.2551,022
719.4.24.0/2219.4.24.1 to 19.4.27.25419.4.27.2551,022
819.4.28.0/2219.4.28.1 to 19.4.31.25419.4.31.2551,022
919.4.32.0/2219.4.32.1 to 19.4.35.25419.4.35.2551,022
1019.4.36.0/2219.4.36.1 to 19.4.39.25419.4.39.2551,022
1119.4.40.0/2219.4.40.1 to 19.4.43.25419.4.43.2551,022
1219.4.44.0/2219.4.44.1 to 19.4.47.25419.4.47.2551,022
1319.4.48.0/2219.4.48.1 to 19.4.51.25419.4.51.2551,022
1419.4.52.0/2219.4.52.1 to 19.4.55.25419.4.55.2551,022
1519.4.56.0/2219.4.56.1 to 19.4.59.25419.4.59.2551,022
1619.4.60.0/2219.4.60.1 to 19.4.63.25419.4.63.2551,022
1719.4.64.0/2219.4.64.1 to 19.4.67.25419.4.67.2551,022
1819.4.68.0/2219.4.68.1 to 19.4.71.25419.4.71.2551,022
1919.4.72.0/2219.4.72.1 to 19.4.75.25419.4.75.2551,022
2019.4.76.0/2219.4.76.1 to 19.4.79.25419.4.79.2551,022
2119.4.80.0/2219.4.80.1 to 19.4.83.25419.4.83.2551,022
2219.4.84.0/2219.4.84.1 to 19.4.87.25419.4.87.2551,022
2319.4.88.0/2219.4.88.1 to 19.4.91.25419.4.91.2551,022
2419.4.92.0/2219.4.92.1 to 19.4.95.25419.4.95.2551,022
2519.4.96.0/2219.4.96.1 to 19.4.99.25419.4.99.2551,022
2619.4.100.0/2219.4.100.1 to 19.4.103.25419.4.103.2551,022
2719.4.104.0/2219.4.104.1 to 19.4.107.25419.4.107.2551,022
2819.4.108.0/2219.4.108.1 to 19.4.111.25419.4.111.2551,022
2919.4.112.0/2219.4.112.1 to 19.4.115.25419.4.115.2551,022
3019.4.116.0/2219.4.116.1 to 19.4.119.25419.4.119.2551,022
3119.4.120.0/2219.4.120.1 to 19.4.123.25419.4.123.2551,022
3219.4.124.0/2219.4.124.1 to 19.4.127.25419.4.127.2551,022
3319.4.128.0/2219.4.128.1 to 19.4.131.25419.4.131.2551,022
3419.4.132.0/2219.4.132.1 to 19.4.135.25419.4.135.2551,022
3519.4.136.0/2219.4.136.1 to 19.4.139.25419.4.139.2551,022
3619.4.140.0/2219.4.140.1 to 19.4.143.25419.4.143.2551,022
3719.4.144.0/2219.4.144.1 to 19.4.147.25419.4.147.2551,022
3819.4.148.0/2219.4.148.1 to 19.4.151.25419.4.151.2551,022
3919.4.152.0/2219.4.152.1 to 19.4.155.25419.4.155.2551,022
4019.4.156.0/2219.4.156.1 to 19.4.159.25419.4.159.2551,022
4119.4.160.0/2219.4.160.1 to 19.4.163.25419.4.163.2551,022
4219.4.164.0/2219.4.164.1 to 19.4.167.25419.4.167.2551,022
4319.4.168.0/2219.4.168.1 to 19.4.171.25419.4.171.2551,022
4419.4.172.0/2219.4.172.1 to 19.4.175.25419.4.175.2551,022
4519.4.176.0/2219.4.176.1 to 19.4.179.25419.4.179.2551,022
4619.4.180.0/2219.4.180.1 to 19.4.183.25419.4.183.2551,022
4719.4.184.0/2219.4.184.1 to 19.4.187.25419.4.187.2551,022
4819.4.188.0/2219.4.188.1 to 19.4.191.25419.4.191.2551,022
4919.4.192.0/2219.4.192.1 to 19.4.195.25419.4.195.2551,022
5019.4.196.0/2219.4.196.1 to 19.4.199.25419.4.199.2551,022
5119.4.200.0/2219.4.200.1 to 19.4.203.25419.4.203.2551,022
5219.4.204.0/2219.4.204.1 to 19.4.207.25419.4.207.2551,022
5319.4.208.0/2219.4.208.1 to 19.4.211.25419.4.211.2551,022
5419.4.212.0/2219.4.212.1 to 19.4.215.25419.4.215.2551,022
5519.4.216.0/2219.4.216.1 to 19.4.219.25419.4.219.2551,022
5619.4.220.0/2219.4.220.1 to 19.4.223.25419.4.223.2551,022
5719.4.224.0/2219.4.224.1 to 19.4.227.25419.4.227.2551,022
5819.4.228.0/2219.4.228.1 to 19.4.231.25419.4.231.2551,022
5919.4.232.0/2219.4.232.1 to 19.4.235.25419.4.235.2551,022
6019.4.236.0/2219.4.236.1 to 19.4.239.25419.4.239.2551,022
6119.4.240.0/2219.4.240.1 to 19.4.243.25419.4.243.2551,022
6219.4.244.0/2219.4.244.1 to 19.4.247.25419.4.247.2551,022
6319.4.248.0/2219.4.248.1 to 19.4.251.25419.4.251.2551,022
6419.4.252.0/2219.4.252.1 to 19.4.255.25419.4.255.2551,022
6519.5.0.0/2219.5.0.1 to 19.5.3.25419.5.3.2551,022
6619.5.4.0/2219.5.4.1 to 19.5.7.25419.5.7.2551,022
6719.5.8.0/2219.5.8.1 to 19.5.11.25419.5.11.2551,022
6819.5.12.0/2219.5.12.1 to 19.5.15.25419.5.15.2551,022
6919.5.16.0/2219.5.16.1 to 19.5.19.25419.5.19.2551,022
7019.5.20.0/2219.5.20.1 to 19.5.23.25419.5.23.2551,022
7119.5.24.0/2219.5.24.1 to 19.5.27.25419.5.27.2551,022
7219.5.28.0/2219.5.28.1 to 19.5.31.25419.5.31.2551,022
7319.5.32.0/2219.5.32.1 to 19.5.35.25419.5.35.2551,022
7419.5.36.0/2219.5.36.1 to 19.5.39.25419.5.39.2551,022
7519.5.40.0/2219.5.40.1 to 19.5.43.25419.5.43.2551,022
7619.5.44.0/2219.5.44.1 to 19.5.47.25419.5.47.2551,022
7719.5.48.0/2219.5.48.1 to 19.5.51.25419.5.51.2551,022
7819.5.52.0/2219.5.52.1 to 19.5.55.25419.5.55.2551,022
7919.5.56.0/2219.5.56.1 to 19.5.59.25419.5.59.2551,022
8019.5.60.0/2219.5.60.1 to 19.5.63.25419.5.63.2551,022
8119.5.64.0/2219.5.64.1 to 19.5.67.25419.5.67.2551,022
8219.5.68.0/2219.5.68.1 to 19.5.71.25419.5.71.2551,022
8319.5.72.0/2219.5.72.1 to 19.5.75.25419.5.75.2551,022
8419.5.76.0/2219.5.76.1 to 19.5.79.25419.5.79.2551,022
8519.5.80.0/2219.5.80.1 to 19.5.83.25419.5.83.2551,022
8619.5.84.0/2219.5.84.1 to 19.5.87.25419.5.87.2551,022
8719.5.88.0/2219.5.88.1 to 19.5.91.25419.5.91.2551,022
8819.5.92.0/2219.5.92.1 to 19.5.95.25419.5.95.2551,022
8919.5.96.0/2219.5.96.1 to 19.5.99.25419.5.99.2551,022
9019.5.100.0/2219.5.100.1 to 19.5.103.25419.5.103.2551,022
9119.5.104.0/2219.5.104.1 to 19.5.107.25419.5.107.2551,022
9219.5.108.0/2219.5.108.1 to 19.5.111.25419.5.111.2551,022
9319.5.112.0/2219.5.112.1 to 19.5.115.25419.5.115.2551,022
9419.5.116.0/2219.5.116.1 to 19.5.119.25419.5.119.2551,022
9519.5.120.0/2219.5.120.1 to 19.5.123.25419.5.123.2551,022
9619.5.124.0/2219.5.124.1 to 19.5.127.25419.5.127.2551,022
9719.5.128.0/2219.5.128.1 to 19.5.131.25419.5.131.2551,022
9819.5.132.0/2219.5.132.1 to 19.5.135.25419.5.135.2551,022
9919.5.136.0/2219.5.136.1 to 19.5.139.25419.5.139.2551,022
10019.5.140.0/2219.5.140.1 to 19.5.143.25419.5.143.2551,022
10119.5.144.0/2219.5.144.1 to 19.5.147.25419.5.147.2551,022
10219.5.148.0/2219.5.148.1 to 19.5.151.25419.5.151.2551,022
10319.5.152.0/2219.5.152.1 to 19.5.155.25419.5.155.2551,022
10419.5.156.0/2219.5.156.1 to 19.5.159.25419.5.159.2551,022
10519.5.160.0/2219.5.160.1 to 19.5.163.25419.5.163.2551,022
10619.5.164.0/2219.5.164.1 to 19.5.167.25419.5.167.2551,022
10719.5.168.0/2219.5.168.1 to 19.5.171.25419.5.171.2551,022
10819.5.172.0/2219.5.172.1 to 19.5.175.25419.5.175.2551,022
10919.5.176.0/2219.5.176.1 to 19.5.179.25419.5.179.2551,022
11019.5.180.0/2219.5.180.1 to 19.5.183.25419.5.183.2551,022
11119.5.184.0/2219.5.184.1 to 19.5.187.25419.5.187.2551,022
11219.5.188.0/2219.5.188.1 to 19.5.191.25419.5.191.2551,022
11319.5.192.0/2219.5.192.1 to 19.5.195.25419.5.195.2551,022
11419.5.196.0/2219.5.196.1 to 19.5.199.25419.5.199.2551,022
11519.5.200.0/2219.5.200.1 to 19.5.203.25419.5.203.2551,022
11619.5.204.0/2219.5.204.1 to 19.5.207.25419.5.207.2551,022
11719.5.208.0/2219.5.208.1 to 19.5.211.25419.5.211.2551,022
11819.5.212.0/2219.5.212.1 to 19.5.215.25419.5.215.2551,022
11919.5.216.0/2219.5.216.1 to 19.5.219.25419.5.219.2551,022
12019.5.220.0/2219.5.220.1 to 19.5.223.25419.5.223.2551,022
12119.5.224.0/2219.5.224.1 to 19.5.227.25419.5.227.2551,022
12219.5.228.0/2219.5.228.1 to 19.5.231.25419.5.231.2551,022
12319.5.232.0/2219.5.232.1 to 19.5.235.25419.5.235.2551,022
12419.5.236.0/2219.5.236.1 to 19.5.239.25419.5.239.2551,022
12519.5.240.0/2219.5.240.1 to 19.5.243.25419.5.243.2551,022
12619.5.244.0/2219.5.244.1 to 19.5.247.25419.5.247.2551,022
12719.5.248.0/2219.5.248.1 to 19.5.251.25419.5.251.2551,022
12819.5.252.0/2219.5.252.1 to 19.5.255.25419.5.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses